# Filter the Perl extension module
%{?perl_default_filter}

%define	upstream_name	 DBD-Firebird
%define	upstream_version 1.22

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Firebird database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist=%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.410.0
BuildRequires: perl(File::Which)
BuildRequires: perl(Math::BigFloat) >= 1.550.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(Time::HiRes)
BuildRequires: pkgconfig(fbclient)
BuildRequires: perl-devel
%description
Firebird database driver for the DBI module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export FIREBIRD_INCLUDE=%{_includedir}
export FIREBIRD_LIB=%{_libdir} 
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install
chmod 755 %{buildroot}%{perl_vendorarch}/auto/DBD/Firebird/Firebird.so

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.220.0-2.mga6
+ Revision: 1025355
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.220.0-1.mga6
+ Revision: 1001754
- update to 1.22

* Tue Apr 12 2016 philippem <philippem> 1.210.0-3.mga6
+ Revision: 1000791
- rebuild for Firebird 3

  + tv <tv>
    - BR pkgconfig(fbclient)

* Fri Feb 12 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 957095
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.210.0-1.mga6
+ Revision: 884512
- update to 1.21

* Thu Jun 25 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 843842
- update to 1.20

* Fri Apr 03 2015 sander85 <sander85> 1.190.0-1.mga5
+ Revision: 819637
- update to 1.19 (fixes CVE-2015-2788)

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-5.mga5
+ Revision: 748953
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.180.0-4.mga5
+ Revision: 733055
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-3.mga5
+ Revision: 684083
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.180.0-2.mga5
+ Revision: 632201
- perl 5.20.0 rebuild

* Fri May 02 2014 sander85 <sander85> 1.180.0-1.mga5
+ Revision: 619658
- update to 1.18

  + jquelin <jquelin>
    - update to 1.18

* Sat Feb 08 2014 sander85 <sander85> 1.160.0-1.mga5
+ Revision: 586344
- update to 1.16

* Sat Oct 19 2013 umeabot <umeabot> 1.150.0-2.mga4
+ Revision: 534286
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 sander85 <sander85> 1.150.0-1.mga4
+ Revision: 477092
- update to 1.15

* Mon Sep 09 2013 sander85 <sander85> 1.140.0-1.mga4
+ Revision: 476669
- update to 1.14

* Fri Aug 16 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 466899
- update to 1.12

* Wed May 29 2013 jquelin <jquelin> 1.110.0-3.mga4
+ Revision: 431181
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 364996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 1.110.0-1.mga3
+ Revision: 297967
- update to 1.11

* Tue Jun 05 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 254721
- update to 1.00

* Wed May 30 2012 jquelin <jquelin> 0.910.0-2.mga3
+ Revision: 250489
- rebuild for perl 5.16

* Sat Nov 05 2011 kharec <kharec> 0.910.0-1.mga2
+ Revision: 163436
- update to 0.91

  + jquelin <jquelin>
    - removing patch no longer needed

* Fri Oct 14 2011 jquelin <jquelin> 0.800.0-1.mga2
+ Revision: 155074
- update to 0.80

* Mon Jun 27 2011 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 114691
- update to 0.55

* Fri Jun 17 2011 pterjan <pterjan> 0.520.0-2.mga2
+ Revision: 108574
- Fix build with perl 5.14

  + jquelin <jquelin>
    - perl 5.14 rebuild

  + sander85 <sander85>
    - perl 5.14

* Tue Mar 29 2011 philippem <philippem> 0.52-1.mga1
+ Revision: 78676
- imported package perl-DBD-Firebird

